Bug 113938 - Fedora Cora 1 x86_64 doesn't detect HD on Adaptec 29160
Fedora Cora 1 x86_64 doesn't detect HD on Adaptec 29160
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-20 09:41 EST by ammulder
Modified: 2015-01-04 17:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-29 18:06:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ammulder 2004-01-20 09:41:29 EST
Description of problem:

When I boot from Fedora Core Test 1 for x86_64 Disc 1, it says no hard
drives were detected.  I have 2 SCSI drives connected to an Adaptec
29160, which traditionally uses the aic7xxx driver.

I went to manually select drivers, and there was no entry for this
driver.  The Adaptec 79xx driver did not load successfully.  I had to
use the "old Adaptec ... (aic7xxx_old)" driver.  I really want the
"new" driver, not the "old" driver.

Steps to Reproduce:
1. Get an x86_64 system with all HDs on Adaptec 29160
2. Try to install Fedora Core 1 Test 1 for x86_64
  
Actual results:

No hard drives found, no aic7xxx driver available for manual selection

Expected results:

Hard drives detected automatically, correct driver loaded
automatically, "new" driver available.

Additional info:

Tyan Thunder K8W board (no BIOS upgrades available)
Comment 1 Dave Habben 2004-01-23 14:23:40 EST
Same issue for me, except it's an Adaptec 39160. Which also normally
uses the aic7xxx driver.
Comment 2 Dave Habben 2004-01-23 15:50:50 EST
The installer didn't work well with the aic7xxx_old driver, it quickly
aborted after loading a few RPM's off the CD.

<4>scsi : aborting command due to timeout : pid 253, scsi0, channel 0,
id 0, lun 0 Write (10) 00 00 13 31 dd 00 02 00 00 
<4>scsi : aborting command due to timeout : pid 254, scsi0, channel 0,
id 0, lun 0 Write (10) 00 00 13 33 dd 00 02 00 00
<4>scsi : aborting command due to timeout : pid 255, scsi0, channel 0,
id 0, lun 0 Write (10) 00 00 13 35 dd 00 02 00 00
<4>scsi : aborting command due to timeout : pid 256, scsi0, channel 0,
id 0, lun 0 Write (10) 00 00 13 37 dd 00 02 00 00
<4>scsi : aborting command due to timeout : pid 257, scsi0, channel 0,
id 0, lun 0 Write (10) 00 00 13 39 dd 00 02 00 00
<4>scsi : aborting command due to timeout : pid 258, scsi0, channel 0,
id 0, lun 0 Write (10) 00 00 13 3b dd 00 02 00 00
<4>scsi : aborting command due to timeout : pid 259, scsi0, channel 0,
id 0, lun 0 Write (10) 00 00 13 3d dd 00 01 e8 00
<4>scsi : aborting command due to timeout : pid 260, scsi0, channel 0,
id 0, lun 0 Write (10) 00 00 17 2f f5 00 02 00 00
<4>scsi : aborting command due to timeout : pid 261, scsi0, channel 0,
id 0, lun 0 Write (10) 00 00 17 31 f5 00 02 00 00
<4>SCSI host 0 abort (pid 261) timed out - resetting
<4>SCSI bus is being reset for host 0 channel 0.
<6>(scsi0:0:0:0) Synchronous at 160.0 Mbyte/sec offset 63.
Comment 3 Andrew Boyce-Lewis 2004-02-28 19:24:40 EST
I am seeing the same problem on a tyan S2882 with onboard adaptec
AIC-7902w and ZCR card which, once again usually uses the aic79xx
driver. The aic7xxx)old driver also does not work. 

Error reported on the terminal is:
 
* loaded aic79xx deom modules/modules.cgz
/tmp/aic79xx.o: init_module: No such device
Hint: insmod errors can be caused by incorrect module parameters,
including invalid IO or IRQ parameters.

Hope this helps. 
Comment 4 Dave Jones 2004-10-29 18:06:07 EDT
FC1 reached end of life

Note You need to log in before you can comment on or make changes to this bug.